Package org.apache.commons.net.io

# Class CopyStreamException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.net.io.CopyStreamException

All Implemented Interfaces:
  `Serializable`

public class CopyStreamException extends IOException
The CopyStreamException class is thrown by the org.apache.commons.io.Util copyStream() methods. It stores the number of bytes confirmed to have been transferred before an I/O error as well as the IOException responsible for the failure of a copy operation.

See Also:
  - `Util`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CopyStreamException(String message, long bytesTransferred, IOException exception)`
  Creates a new CopyStreamException instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IOException`
  `getIOException()`
  Gets the IOException responsible for the failure of a copy operation.
  `long`
  `getTotalBytesTransferred()`
  Gets the total number of bytes confirmed to have been transferred by a failed copy operation.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CopyStreamException

    public CopyStreamException(String message, long bytesTransferred, IOException exception)
    Creates a new CopyStreamException instance.
    Parameters:
      `message` - A message describing the error.
      `bytesTransferred` - The total number of bytes transferred before an exception was thrown in a copy operation.
      `exception` - The IOException thrown during a copy operation.

- ## Method Details

  - ### getIOException

    public IOException getIOException()
    Gets the IOException responsible for the failure of a copy operation.
    Returns:
      The IOException responsible for the failure of a copy operation.

  - ### getTotalBytesTransferred

    public long getTotalBytesTransferred()
    Gets the total number of bytes confirmed to have been transferred by a failed copy operation.
    Returns:
      The total number of bytes confirmed to have been transferred by a failed copy operation.